> ## Documentation Index
> Fetch the complete documentation index at: https://avala.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get projects 

> Projects belonging to an owner that are visible to current user.



## OpenAPI

````yaml /openapi.yml get /projects/{owner_name}/
openapi: 3.0.0
info:
  title: Avala API
  description: >

    # Authentication


    ## Generating an API Key


    The Avala SDK uses API keys to authenticate requests. You can create and
    manage your API keys from the

    Settings page of Mission Control.


    Follow these steps to generate a new API key:


    1. Open your settings page by clicking on your user avatar located at the
    top right-hand corner of any
        Mission Control screen, and select `Settings`.
    2. From the left-hand sub-menu, select `Security & Identity`.

    3. Click on `New API Key`, enter a name for the key, and then click `Create
    key`.


    The new key will be automatically copied to your clipboard. Please note, for
    security reasons, the key

    will not be accessible once you close the window. Ensure you store it in a
    safe location before closing

    the pop-up modal.


    ### Video walkthrough of API key generation


    <iframe class="embedly-embed"
    src="//cdn.embedly.com/widgets/media.html?src=https%3A%2F%2F
        www.youtube.com%2Fembed%2FTYdLhkAAbLA%3Ffeature%3Doembed&display_name=YouTube&url=https%3A%2F%2F
        www.youtube.com%2Fwatch%3Fv%3DTYdLhkAAbLA&image=https%3A%2F%2Fi.ytimg.com%2Fvi%2FTYdLhkAAbLA%2F
        hqdefault.jpg&key=7788cb384c9f4d5dbbdbeffd9fe4b92f&type=text%2Fhtml&schema=youtube" width="854"
        height="480" scrolling="no" title="YouTube embed" frameborder="0" allow="autoplay;
        fullscreen; encrypted-media; picture-in-picture;" allowfullscreen="true"></iframe>


    ## Authenticating with an API Key


    This is the easiest part! Just add a header named `X-Avala-Api-Key` to your
    requests and set the

    previously generated API Key as the value.
  termsOfService: https://avala.ai/legal/terms
  contact:
    email: support@avala.ai
  version: v1
servers:
  - url: https://api.avala.ai/api/v1
security:
  - API_Key: []
  - JWT: []
tags:
  - name: datasets
    description: To be completed...
  - name: projects
    description: To be completed...
  - name: tasks
    description: List and retrieve annotation tasks.
  - name: exports
    description: To be completed...
paths:
  /projects/{owner_name}/:
    parameters:
      - name: owner_name
        in: path
        required: true
        schema:
          type: string
    get:
      tags:
        - projects
      description: Projects belonging to an owner that are visible to current user.
      operationId: projects_list
      parameters:
        - name: name
          in: query
          description: ''
          required: false
          schema:
            type: string
        - name: ordering
          in: query
          description: Which field to use when ordering the results.
          required: false
          schema:
            type: string
        - name: cursor
          in: query
          description: The pagination cursor value.
          required: false
          schema:
            type: string
        - name: limit
          in: query
          description: Number of results to return per page.
          required: false
          schema:
            type: integer
        - name: order
          in: query
          description: >-
            Sets the CursorPagination `offset` when `cursor` is also set. e.g.
            `cursor=...&offset=1`
          schema:
            type: string
        - name: reverse
          in: query
          description: >-
            Sets the CursorPagination `reverse` when `cursor` is also set. e.g.
            `cursor=...&reverse=1`.
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                required:
                  - results
                type: object
                properties:
                  next:
                    type: string
                    format: uri
                    nullable: true
                  previous:
                    type: string
                    format: uri
                    nullable: true
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/ProjectBase'
components:
  schemas:
    ProjectBase:
      required:
        - name
      type: object
      properties:
        uid:
          title: Uid
          type: string
          format: uuid
          readOnly: true
        name:
          title: Name
          type: string
          maxLength: 100
          minLength: 1
        task_type:
          title: Task type
          type: string
          enum:
            - image-annotation
            - video-annotation
            - point-cloud-annotation
            - point-cloud-objects
            - data-collection
        status:
          title: Status
          type: string
          enum:
            - pending-approval
            - active
            - paused
            - canceled
            - archived
            - completed
          readOnly: true
        is_active:
          title: Is active
          type: boolean
          readOnly: true
        visibility:
          title: Visibility
          type: string
          enum:
            - public
            - private
        is_imported:
          title: Is imported
          type: boolean
          readOnly: true
        owner_name:
          title: Owner name
          description: The name of the project owner
          type: string
          readOnly: true
        short_description:
          title: Short description
          type: string
          readOnly: true
          minLength: 1
        industry_icon:
          title: Industry icon
          type: string
          readOnly: true
          nullable: true
        task_time_cap_seconds:
          title: Task time cap seconds
          description: >-
            Max time allowed per task in seconds. Overrides default task earning
            time.
          type: integer
          maximum: 2147483647
          minimum: 0
          nullable: true
  securitySchemes:
    API_Key:
      type: apiKey
      name: X-Avala-Api-Key
      in: header
      description: >-
        API key for authentication. Generate one in Mission Control Settings >
        Security & Identity.
    JWT:
      type: apiKey
      name: Authorization
      in: header
      description: JWT token with 'JWT' prefix, e.g., 'JWT eyJhbGciOiJIUzI1NiIsInR...'

````